abstract class ScooterCodeEvent {}

class ScooterCodeChanged extends ScooterCodeEvent {
  final String code;
  ScooterCodeChanged(this.code);
}

class ScooterCodeSubmitted extends ScooterCodeEvent {
  final String code;
  ScooterCodeSubmitted(this.code);
}